"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListTeamMembers_1 = require("../model/operations/ListTeamMembers");
var ListTeamMembersCommand = /** @class */ (function () {
    function ListTeamMembersCommand(input) {
        this.input = input;
        this.model = ListTeamMembers_1.ListTeamMembers;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListTeamMembersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListTeamMembersCommand;
}());
exports.ListTeamMembersCommand = ListTeamMembersCommand;
//# sourceMappingURL=ListTeamMembersCommand.js.map